<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Registration Form</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"></link>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>

<body background="https://img.rezdy.com/PRODUCT_IMAGE/31005/d25cb52ccf3240c894e025857749ba7fFotolia_58606302_Subscription_Monthly_M_lg.jpg">

<nav class="navbar navbar-default navbar-inverse" role="navigation">
    <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/user/home">Pedidos Cotoca</a>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li><a href="/user/directions">Direcciones</a></li>
                <li><a href="/user/orders">Mis Pedidos</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li><a><i class="glyphicon glyphicon-user"></i><td th:text="${nameA}">Nombre </td></a></li>
                <li><a th:href="${'/logout'}"><Afiliados>Cerrar Sesion</Afiliados></a></li>
            </ul>
        </div><!-- /.navbar-collapse -->
    </div><!-- /.container-fluid -->
</nav>


<div class="container">
    <div class="row">
        <div>

                <form class="form-horizontal" th:object="${user}" th:action="@{/user/save/edit}" method="post">
                <input type="hidden" th:field="*{id}"/>
                <input type="hidden" th:field="*{roles}"/>
                <input type="hidden" th:field="*{email}"/>
                <input type="hidden" th:field="*{directions}"/>
                <input type="hidden" th:field="*{orders}"/>
                <input type="hidden" th:field="*{restaurant}"/>
                <input type="hidden" th:field="*{product}"/>
                <input type="hidden" th:field="*{password}"/>
                <input type="hidden" th:field="*{passwordConfirm}"/>
                <input type="hidden" th:field="*{address}"/>

                <h2>Editar Mis Datos</h2>


                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <label class="col-sm-2 control-label">Nombre:</label>
                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>

                            <input type="text" th:field="*{username}" placeholder="Nombre"
                                   class="form-control" />

                        </div>
                        <label th:if="${#fields.hasErrors('username')}" th:errors="*{username}"
                               class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <label class="col-sm-2 control-label">Apellido:</label>
                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                            <input type="text" th:field="*{lastname}" placeholder="Apellido"
                                   class="form-control" />

                        </div>

                        <label
                                th:if="${#fields.hasErrors('lastname')}" th:errors="*{lastname}"
                                class="validation-message"></label>
                    </div>
                </div>


                <div class="form-group">
                    <label class="col-sm-5 control-label">Ciudad:</label>
                    <div class="col-sm-8" style="width: 150px; length: 100px;">
                        <select th:field="*{city} ">
                            <option th:each="city : ${cities}" th:value="${city.id}" th:text="${city.name} ">Nombre Ciudad</option>
                        </select><br/><br/>
                    </div>
                </div>



                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <label class="col-sm-2 control-label">Celular:</label>
                            <span class="input-group-addon"><i class="glyphicon glyphicon-phone"></i></span>
                            <input type="text" th:field="*{cellphone}" placeholder="Celular"
                                   class="form-control" />
                        </div>
                        <label
                                th:if="${#fields.hasErrors('cellphone')}" th:errors="*{cellphone}"
                                class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <label class="col-sm-2 control-label">Telef.: </label>
                            <span class="input-group-addon"><i class="glyphicon glyphicon-earphone"></i></span>
                            <input type="text" th:field="*{phone}" placeholder="Telefono"
                                   class="form-control" />
                        </div>
                        <label
                                th:if="${#fields.hasErrors('phone')}" th:errors="*{phone}"
                                class="validation-message"></label>
                    </div>
                </div>



                <div class="form-group">
                    <div class="col-sm-9">
                        <button type="submit" class="btn btn-primary btn-block">Editar Usuario</button>
                    </div>
                </div>

                <span th:utext="${successMessage}"></span>


            </form>
        </div>
    </div>
</div>

</body>
</html>
<style>
    #login-dp{
        min-width: 350px;
        color:black;
        padding: 14px 14px 0;
        overflow:hidden;
    //  background-color:rgba(255,255,255,.8);
        background-color: #f0ad4e;
    }
    #login-dp .bottom{
        background-color:rgba(255,255,255,.8);
        border-top:1px solid #ddd;
        clear:both;
        padding:14px;
    }
    @media(max-width:768px){
        #login-dp{
            background-color: inherit;
            color: #fff;
        }
        #login-dp .bottom{
            background-color: inherit;
            border-top:0 none;
        }
    }
    .topnav {
        overflow: hidden;
        background-color:#000000;
    }


    .topnav a {
        float: left;
        display: block;
        color: #FF1493;
        text-align: center;
        padding: 16px 18px;
        font-size: 19px;
    }

    .topnav a:hover {
        background-color: #FFC0CB;
        color: black;
    }

    .topnav a.active {
        background-color:#FF1493;
        color: black;
    }

    .btn:hover
    {
        background-color: #ffb812;
        color:maroon;
    }

    .topnav a.bienvenido {
        background-color:#C71585;
        color: black;
    }

    .container {
        position: relative;
        width:40%;
    }

    .image {
        width:80%;
        height:60%;
    }

    .overlay {
        position: absolute;
        bottom: 100%;
        left: 0;
        right: 0;
        background-color:rgba(31,31, 31, 0, 9);
        -webkit-transition: opacity 0.2s ;
        overflow: hidden;
        height:0;
        transition: 0.5s ease;
        opacity: 100;
    }

    .container:hover .overlay {
        bottom: 0;
        height: 100%;
        opacity: 1;
    }

    .text {
        white-space: nowrap;
        color: black;
        font-size: 60px;
        position: absolute;
        overflow: visible;
        top: 60%;
        left: 80%;
        transform: translate(-300%, -300%);
        -ms-transform: translate(-300%, -300%);
    }
</style>

<style>
    label.mss{
        color: red;
    }
    h2{
        font-family: Arial;
        color: crimson;
    }
    .btn1{
        background-color: crimson;
        border-color: orangered;
    }
    .btn1:hover
    {
        background-color: orange;
        border-color: orange;
    }
    .btn{
        background-color: crimson;
        border-color: transparent;

    }
    .btn:hover
    {
        background-color: orange;
        border-color: transparent;
    }
    body{
        background-image: url("https://laviezine.com/wp-content/uploads/2015/10/Milano%e2%80%99s-Italian-Restaurant.jpg");
        background-size: 100%;
    }

</style>